#!/bin/sh
# publish some aspect of an administration tree so it can be distributed
# to all member of an administration group
# This script operate like the misc/cfgarchive script used for
# system profile versionning. As such it receives information about
# archiving family which it does not used.
# This is the same code in linuxconf which is used both to publish and
# archive
if [ $# != 3 ] ; then
	echo netadmpublish.sh admin_group path_file family
	echo The last argument is not used
else
	ADMIN=$1	
	FILE=$2
	BASE=/etc/linuxconf/admgroups/$ADMIN
	TARGET=$BASE/$FILE
	DIR=`dirname $TARGET`
	mkdir -p $DIR
	chmod 700 /etc/linuxconf/groups
	cat >$TARGET
	SUM=`cat $TARGET | /usr/bin/md5sum`
	echo $FILE $SUM >>$BASE/index.sum
fi


